<?php

Goweb::loadClass('Cms_BaseComponent', ADMIN_PATH);
Goweb::loadClass('Goweb_Form');

/**
 * Goweb Sitemanager 5 Framework
 * @version    5.0.0
 * @category   Frontoffice
 * @package    Utilizadores
 * @subpackage Component
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
 *
 * As classes _Component sao responsaveis pela interface backoffice x frontoffice
 * atraves da insercao de componentes via RTE.
 *
 */
class Utilizadores_Component extends Cms_BaseComponent {

    /**
     * Este metodo informa ao sistema quais as accoes permitidas para este
     * modulo. Todas as acoes aqui definidas devem ser implementadas no
     * _Controller do modulo.
     */
    public function init() {
    	parent::init();
        $this->_actions = array('login' => array('title'  => translateAdmin('Formul&aacute;rio de login'),
                                                 'helper' => translateAdmin('Inserir formul&aacute;rio para a autentica&ccedil;&atilde;o de utilizadores')),
                                'loginBlock' => array('title'  => translateAdmin('Bloco de formul&aacute;rio de login ou Menu de mudar dados e logout'),
                                                      'helper' => translateAdmin('Inserir bloco de formul&aacute;rio para a autentica&ccedil;&atilde;o de utilizadores')));
    }

    /**
     * Componente para Inserir formul&aacute;rio para a
     * autentica&ccedil;&atilde;o de utilizadores
     */
    public function loginAction() {
        $form = new Goweb_Form('login');
        return $form;
    }

    /**
     * Componente para Inserir bloco de formul&aacute;rio para a
     * autentica&ccedil;&atilde;o de utilizadores
     */
    public function loginBlockAction() {
        $form = new Goweb_Form('login');
        return $form;
    }
}